# pycrs.elements.parameters API documentation

Top

# pycrs.elements.parameters module

## Functions

def find(

paramname, crstype, strict=False)

## Classes

class AngularUnit

### Ancestors (in MRO)

- AngularUnit

### Methods

def __init__(

self, unittype, metermultiplier)

def to_esri_wkt(

self)

def to_ogc_wkt(

self)

def to_proj4(

self)

class Azimuth

### Ancestors (in MRO)

- Azimuth

### Methods

def __init__(

self, value)

def to_esri_wkt(

self)

def to_ogc_wkt(

self)

def to_proj4(

self)

class CentralMeridian

### Ancestors (in MRO)

- CentralMeridian

### Methods

def __init__(

self, value)

def to_esri_wkt(

self)

def to_geotiff(

self)

def to_ogc_wkt(

self)

def to_proj4(

self)

class DatumShift

### Ancestors (in MRO)

- DatumShift

### Methods

def __init__(

self, value)

def to_esri_wkt(

self)

def to_ogc_wkt(

self)

def to_proj4(

self)

class FalseEasting

### Ancestors (in MRO)

- FalseEasting

### Methods

def __init__(

self, value)

def to_esri_wkt(

self)

def to_ogc_wkt(

self)

def to_proj4(

self)

class FalseNorthing

### Ancestors (in MRO)

- FalseNorthing

### Methods

def __init__(

self, value)

def to_esri_wkt(

self)

def to_ogc_wkt(

self)

def to_proj4(

self)

class LatitudeFirstStndParallel

### Ancestors (in MRO)

- LatitudeFirstStndParallel

### Methods

def __init__(

self, value)

def to_esri_wkt(

self)

def to_geotiff(

self)

def to_ogc_wkt(

self)

def to_proj4(

self)

class LatitudeOrigin

### Ancestors (in MRO)

- LatitudeOrigin

### Methods

def __init__(

self, value)

def to_esri_wkt(

self)

def to_geotiff(

self)

def to_ogc_wkt(

self)

def to_proj4(

self)

class LatitudeSecondStndParallel

### Ancestors (in MRO)

- LatitudeSecondStndParallel

### Methods

def __init__(

self, value)

def to_esri_wkt(

self)

def to_geotiff(

self)

def to_ogc_wkt(

self)

def to_proj4(

self)

class LatitudeTrueScale

### Ancestors (in MRO)

- LatitudeTrueScale

### Methods

def __init__(

self, value)

def to_esri_wkt(

self)

def to_geotiff(

self)

def to_ogc_wkt(

self)

def to_proj4(

self)

class LongitudeCenter

### Ancestors (in MRO)

- LongitudeCenter

### Methods

def __init__(

self, value)

def to_esri_wkt(

self)

def to_ogc_wkt(

self)

def to_proj4(

self)

class MeterMultiplier

### Ancestors (in MRO)

- MeterMultiplier

### Methods

def __init__(

self, value)

def to_esri_wkt(

self)

def to_ogc_wkt(

self)

def to_proj4(

self)

class PrimeMeridian

### Ancestors (in MRO)

- PrimeMeridian

### Methods

def __init__(

self, value)

Arguments:

- value: Longitude value relative to Greenwich.

def to_esri_wkt(

self)

def to_ogc_wkt(

self)

def to_proj4(

self)

class SatelliteHeight

### Ancestors (in MRO)

- SatelliteHeight

### Methods

def __init__(

self, value)

def to_esri_wkt(

self)

def to_ogc_wkt(

self)

def to_proj4(

self)

class ScalingFactor

### Ancestors (in MRO)

- ScalingFactor

### Methods

def __init__(

self, value)

def to_esri_wkt(

self)

def to_geotiff(

self)

def to_ogc_wkt(

self)

def to_proj4(

self)

class TiltAngle

### Ancestors (in MRO)

- TiltAngle

### Methods

def __init__(

self, value)

def to_esri_wkt(

self)

def to_ogc_wkt(

self)

def to_proj4(

self)

class Unit

### Ancestors (in MRO)

- Unit

### Methods

def __init__(

self, unittype, metermultiplier)

def to_esri_wkt(

self)

def to_ogc_wkt(

self)

def to_proj4(

self)

class UnitType

### Ancestors (in MRO)

- UnitType

### Methods

def __init__(

self, value)

Arguments:

- value: A specific unit type instance, eg Meter().

def to_esri_wkt(

self)

def to_ogc_wkt(

self)

def to_proj4(

self)